{% extends "customers/base.html" %}
{% load i18n %}
{% load md2 %}
{% load active_tag %}
{% load humanize %}
{% load staticfiles %}
{% load widget_tweaks %}
{% load price_tag %}

{% block title %}Balance de Proveedor{% endblock %}

{% block page %}
{%if can_show_detail %}
	<!-- begin breadcrumb -->
	<ol class="breadcrumb float-xl-right">
		<li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
		<li class="breadcrumb-item"><a href="{% url 'provider-list' %}">Proveedores</a></li>
    <li class="breadcrumb-item {% add_active request 'provider-detail' %}"><a href="{% url 'provider-detail' object.pk %}"> {{object.rut }}</a></li>
    <li class="breadcrumb-item active">Balance</li>
	</ol>
	<!-- end breadcrumb -->

	<!-- begin page-header -->
	<h1 class="page-header">Balance de proveedor <small>{{ object.name }}</small></h1>
  <!-- end page-header -->
  
  <ul class="nav nav-pills mb-2">
    <li class="nav-item {% add_active request 'provider-detail' %}">
      <a href="{% url 'provider-detail' object.pk %}"class="nav-link">
        <span class="d-sm-none">General</span>
        <span class="d-sm-block d-none">General</span>
      </a>
	<li class="nav-item ">
		<a href="{% url 'provider-payment-methods' object.pk %}" class="nav-link">
			<span class="d-sm-none">Métodos de pago</span>
			<span class="d-sm-block d-none">Métodos de pago</span>
		</a>
	</li>
		<li class="nav-item">
			<a href="#" class="nav-link active">
				<span class="d-sm-none">Estado de Cuenta</span>
				<span class="d-sm-block d-none">Estado de Cuenta</span>
			</a>
		</li>
	</ul>


	<!-- begin row -->
	<div class="row">
		<!-- begin col-12 -->
		<div class="col-xl-12 ui-sortable">
		  <!-- begin panel -->
		  <div class="panel panel-inverse" data-sortable-id="ui-general-1">
			<!-- begin panel-heading -->
			<div class="panel-heading ui-sortable-handle">
			  <h4 class="panel-title">Información General</h4>
			  <div class="panel-heading-btn">
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
			  </div>
			</div>
			<!-- end panel-heading -->
			<!-- begin panel-body -->
			<div class="panel-body">
          <div class="row mb-3">
            <div class="col-sm-12 col-md-12">
              <a href="{% url 'provider-invoice-create' pk=object.pk %}" class="btn btn-warning btn-sm pull-right ml-1">Nueva Factura</a>
              <a href="{% url 'provider-payment-create' pk=object.pk %}" class="btn btn-success btn-sm pull-right ml-1">Nuevo Pago</a>
            </div>
          </div>

 

    {% with object.get_statement as statement %}
    <div id="extra" role="tabpanel" class="tab-pane active">
      <h4>Saldo Actual: ${{ statement.final_balance|price_tag }}</h4>
      <hr/>

      <table id="invoice-list" cellspacing="0" width="100%" class="table table-bordered table-hover dt-responsive nowrap">
        <thead>
          <tr>
            <th>Fecha</th>
			<th>Descripción</th>
			<th>Monto Original</th>
            <th>Cargo ({{object.currency.symbol}})</th>
            <th>Abono ({{object.currency.symbol}})</th>
    	    <th>Saldo ({{object.currency.symbol}})</th>
          </tr>
        </thead>
        <tbody>
	  {% for record in statement.records %}
	  <tr {% if not record.paid %}class="bg-warning"{% endif %}>
	    <td align="right">{{ record.ts|date:"d-m-Y" }}</td>
	    <td><i class="ti-eye"></i> <a href="{{ record.absolute_url }}" class="text-{% if record.credit %}success{% else %}{% if True %}primary{% endif %}{% endif %}">{{ record.comment }}</a></td>
	    <td align="right">
			{% if record.original_charge %}{{ record.original_charge|price_tag }}{% endif %}
			{% if record.original_credit %}{{ record.original_credit|price_tag }}{% endif %}</td>
		<td align="right">{% if record.charge %}{{ record.charge|price_tag }}{% endif %}</td>
		<td align="right">{% if record.credit %}{{ record.credit|price_tag }}{% endif %}</td>
	    <td align="right">{{ record.balance|price_tag }}</td>
	  </tr>
	  {% endfor %}
        </tbody>
      </table>
    {% endwith %}

  </div>
  <!-- end panel-body -->
  </div>
  <!-- end panel -->
  </div>
  </div>
  <!-- end row -->
  
  <!-- begin scroll to top btn -->
  <a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
  <!-- end scroll to top btn -->
  {%else%}
<div class="alert alert-success"  style="background-color: rgb(245, 156, 26); text-align: center;" role="alert">
	<h4 class="alert-heading">No encontrado</h4>
	<hr>
	<h5 class="mb-0">Cambie de operador o vuelva al listado de Proveedores.</h5>
</div>
{%endif%}
  {% endblock %}